Copyright: distributable
Source: rhl-gsg-en.tbz
Release: 2
Name: rhl-gsg-en
Group: Documentation
Version: 7.2
Summary: The Red Hat Linux %{version} Getting Started Guide in HTML format.
Obsoletes: rhl-getting-started-guide-en rhl-gsg
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The rhl-gsg-en package contains the Red Hat Linux
%{version} Getting Started Guide document in HTML format.

Install the rhl-gsg-en package if you'd like to use
an HTML version of the Getting Started Guide loaded on your own
machine.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Linux Getting Started Guide (en)
Comment=The manual for getting started with Red Hat Linux (in English)
Exec=/usr/bin/netscape file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/usr/share/pixmaps/redhat/shadowman-round-mini.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir /etc/X11/applnk/Documentation
%dir "/etc/X11/applnk/Documentation/Official Red Hat Linux"
"/etc/X11/applnk/Documentation/Official Red Hat Linux/%{name}.desktop"
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Wed Sep 12 2001 Edward C. Bailey <ed@redhat.com>
- Minor pre-release fixes

* Thu Aug 30 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.2

* Tue Aug 28 2001 Edward C. Bailey <ed@redhat.com>
- Revised to pick up missing figures

* Mon Aug 27 2001 Edward C. Bailey <ed@redhat.com>
- Freshen for next beta

* Thu Aug  9 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.1.94

* Thu Jul 26 2001 Edward C. Bailey <ed@redhat.com>
- Changed to internally-generated .desktop file

* Wed Mar 14 2001 Edward C. Bailey <ed@redhat.com>
- Final build

* Fri Mar 09 2001 Edward C. Bailey <ed@redhat.com>
- Build w/updated content

* Thu Mar 01 2001 Edward C. Bailey <ed@redhat.com>
- Updated for another beta

* Wed Feb 14 2001 Edward C. Bailey <ed@redhat.com>
- Updated for second public beta

* Wed Aug 09 2000 Edward C. Bailey <ed@redhat.com>
- Updated content

* Tue Jul 25 2000 Edward C. Bailey <ed@redhat.com>
- Updated content

* Tue Jul 18 2000 Edward C. Bailey <ed@redhat.com>
- Add macro support for build and doc dirs, and revamp menus

* Mon Jul 03 2000 Edward C. Bailey <ed@redhat.com>
- Update to 7.0, and get rid of wmconfig cruft

* Fri Feb 18 2000 Edward C. Bailey <ed@redhat.com>
- packaged for 6.2

* Tue Sep 14 1999 Edward C. Bailey <ed@redhat.com>
- packaged for 6.1

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- packaged for 6.0
